PyMOLGroup
Date: 2019-10-22

org.jmol.adapter.readers.pymol

## Class PyMOLGroup

- java.lang.Object
- - org.jmol.adapter.readers.pymol.PyMOLGroup

-     class PyMOLGroup
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `(package private) javajs.util.BS` | `bsAtoms`
    `(package private) int` | `firstAtom`
    `(package private) java.util.Map<java.lang.String,PyMOLGroup>` | `list`
    `(package private) java.lang.String` | `name`
    `(package private) javajs.util.Lst<java.lang.Object>` | `object`
    `(package private) java.lang.String` | `objectNameID`
    `(package private) boolean` | `occluded`
    `(package private) PyMOLGroup` | `parent`
    `(package private) int` | `type`
    `(package private) boolean` | `visible`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PyMOLGroup(java.lang.String name)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `(package private) void` | `addGroupAtoms(javajs.util.BS bs)`
    `(package private) void` | `addList(PyMOLGroup child)`
    `(package private) void` | `set()`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### name

          java.lang.String name

    - #### objectNameID

          java.lang.String objectNameID

    - #### list

          java.util.Map<java.lang.String,PyMOLGroup> list

    - #### object

          javajs.util.Lst<java.lang.Object> object

    - #### visible

          boolean visible

    - #### occluded

          boolean occluded

    - #### bsAtoms

          javajs.util.BS bsAtoms

    - #### firstAtom

          int firstAtom

    - #### type

          int type

    - #### parent

          PyMOLGroup parent

  - ### Constructor Detail

    - #### PyMOLGroup

          PyMOLGroup(java.lang.String name)

  - ### Method Detail

    - #### addList

          void addList(PyMOLGroup child)

    - #### set

          void set()

    - #### addGroupAtoms

          void addGroupAtoms(javajs.util.BS bs)

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`